<?php
/**
 * Mc template email
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @version 1.2.2
 */

/**
 * Template variables:
 *
 * @var $email_heading string Email heading string
 * @var $email         WC_Email Email object
 * @var $email_content string Email content (HTML)
 * @var $mc_options    array Email options
 * @var $wishlist_url  string Wishlist url
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
		<title><?php echo get_bloginfo( 'name', 'display' ); ?></title>
		<!--[if mso]>
		<xml>
			<o:OfficeDocumentSettings>
				<o:PixelsPerInch>96</o:PixelsPerInch>
				<o:AllowPNG/>
			</o:OfficeDocumentSettings>
		</xml><![endif]-->
		<style type="text/css">
			* {
				box-sizing: border-box
			}

			body {
				margin: 0;
				padding: 0;
				font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
			}

			a[x-apple-data-detectors] {
				color:#E43B67 !important;
				text-decoration: inherit !important
			}
			p {
				font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
				line-height: inherit;
				margin: 10px 0;
				padding: 0;
			}

			h1 {

				font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
				font-size: 30px;
				font-weight: 300;
				line-height: 150%;
				margin: 0;
				text-align: <?php echo is_rtl() ? 'right' : 'left'; ?>;
			}

			h2 {

				display: block;
				font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
				font-size: 18px;
				font-weight: bold;
				line-height: 130%;
				margin: 0 0 18px;
				text-align: <?php echo is_rtl() ? 'right' : 'left'; ?>;
			}

			h3 {

				display: block;
				font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
				font-size: 16px;
				font-weight: bold;
				line-height: 130%;
				margin: 16px 0 8px;
				text-align: <?php echo is_rtl() ? 'right' : 'left'; ?>;
			}

			img {
				border: none;
				display: inline-block;
				font-size: 14px;
				font-weight: bold;
				height: auto;
				outline: none;
				text-decoration: none;
				text-transform: capitalize;
				vertical-align: middle;
				margin: 5px;
				max-width: 100%;
				height: auto;
			}
		</style>
	</head>
	<body <?php echo is_rtl() ? 'rightmargin' : 'leftmargin'; ?>="0" marginwidth="0" topmargin="0" marginheight="0" offset="0" style="background-color:#fff;margin:0;padding:0;-webkit-text-size-adjust:none;text-size-adjust:none">
		<table id="wrapper" width="100%" border="0" cellpadding="0" cellspacing="0" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0;background-color:#fff">
			<tbody>
				<tr>
					<td style="padding: 50px">
						<table class="row" align="center" width="100%" border="0" cellpadding="0" cellspacing="0" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0">
							<tbody>
								<tr>
									<td style="padding: 20px 0">
										<table class="row-content stack" align="center" border="0" cellpadding="0" cellspacing="0" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0;color:#000;width:500px" width="500">
											<tbody>
												<tr>
													<td align="left">
														<a href="<?php echo esc_url(home_url());?>">
															<?php if(isset($mc_options['logo']) && '' !== $mc_options['logo']):?>
																<img src="<?php echo  esc_url( $mc_options['logo'][0] );?>" style="max-height: 60px; width: auto" alt="<?php echo  get_bloginfo( 'name', 'display' );?>" >

															<?php else:?>
																<img src="<?php echo  esc_url( MC_WLFMC_URL.'assets/images/email-logo.jpg' );?>" style="max-height: 60px; width: auto" alt="<?php echo  get_bloginfo( 'name', 'display' );?>" >

															<?php endif;?>
														</a>
													</td>
													<td align="right">
														<a href="<?php echo esc_url($wishlist_url) ;?>"><?php esc_html_e(  'My Wishlist', 'wc-wlfmc-wishlist' );?></a>
													</td>

												</tr>
											</tbody>
										</table>
									</td>
								</tr>
							</tbody>
						</table>
						<table class="row"  width="100%" border="0" cellpadding="0" cellspacing="0" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0">
							<tbody>
							<tr>
								<td>
									<table class="row-content stack" align="center" border="0" cellpadding="0" cellspacing="0" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0;color:#000;width:500px;border:1px solid #F1F1F1;background-color: #FEFEFE"  width="500">
										<tbody>
											<tr>
												<td style="padding:20px">
													<table width="100%" border="0" cellpadding="0" cellspacing="0" role="presentation" >
														<tbody>
														<tr>
															<td valign="top">
																<h1 style="font-size: 24px;font-weight: bold"><?php echo $email_heading; ?></h1>
															</td>
														</tr>
														<tr>
															<td style="padding: 0 0 30px 0">
																<?php echo wp_kses_post( $email_content ); ?>
															</td>
														</tr>
														<?php if(isset($mc_options['avatar']) && '' !== $mc_options['avatar']):?>
															<tr>
																<td align="center">
																	<img src="<?php echo  esc_url( $mc_options['avatar'][0] );?>" style="margin-bottom: 10px;border-radius: 50%" width="90px" height="90px" >
																</td>
															</tr>
														<?php else :?>
															<tr>
																<td align="center">
																	<img src="<?php echo  esc_url( MC_WLFMC_URL.'assets/images/customer-avatar.jpg' );?>" style="margin-bottom: 10px;border-radius: 50%" width="90px" height="90px" >
																</td>
															</tr>
														<?php endif;?>
														<?php if(isset($mc_options['customer-name']) && '' !== $mc_options['customer-name']):?>
															<tr>
																<td  align="center"><p style="margin-bottom: 0;font-weight: 500"><?php echo esc_attr($mc_options['customer-name']);?></p></td>
															</tr>
														<?php endif;?>
														<?php if(isset($mc_options['customer-job']) && '' !== $mc_options['customer-job']):?>
															<tr>
																<td  align="center"><p style="margin-top: 0;font-weight: 500"><?php echo esc_attr($mc_options['customer-job']);?></p></td>
															</tr>
														<?php endif;?>
														<tr>
															<td>
																<table class="divider_block" role="presentation" style="mso-table-lspace:0;mso-table-rspace:0" width="100%" cellspacing="0" cellpadding="10" border="0">
																	<tbody>
																		<tr>
																			<td align="center">
																				<table role="presentation" style="mso-table-lspace:0;mso-table-rspace:0" width="100%" cellspacing="0" cellpadding="0" border="0"><tbody><tr><td class="divider_inner" style="font-size:1px;line-height:1px;border-top:1px solid #bbb"><span> </span></td></tr></tbody></table>
																			</td>
																		</tr>
																	</tbody>
																</table>
															</td>
														</tr>
														<tr>
															<td  align="center">
																<table style="mso-table-lspace:0;mso-table-rspace:0"  cellspacing="0" cellpadding="0" border="0">
																	<tbody>
																		<tr>
																			<?php if(isset($mc_options['facebook']) && '' !== $mc_options['facebook']):?>
																				<td>
																					<a target="_blank" rel="noopener" class="facebook" href="https://www.facebook.com/<?php echo esc_attr($mc_options['facebook']);?>" title="<?php esc_html_e( 'Facebook', 'wc-wlfmc-wishlist' ); ?>">
																						<img src="<?php echo esc_url( MC_WLFMC_URL .'assets/images/facebook.png');?>" alt="<?php esc_html_e( 'Facebook', 'wc-wlfmc-wishlist' ); ?>"/>
																					</a>
																				</td>
																			<?php endif;?>
																			<?php if(isset($mc_options['instagram']) && '' !== $mc_options['instagram']):?>
																				<td>
																					<a target="_blank" rel="noopener" class="instagram" href="https://instagram.com/<?php echo esc_attr($mc_options['instagram']);?>" title="<?php esc_html_e( 'Instagram', 'wc-wlfmc-wishlist' ); ?>">
																						<img src="<?php echo esc_url( MC_WLFMC_URL .'assets/images/instagram.png');?>" alt="<?php esc_html_e( 'Instagram', 'wc-wlfmc-wishlist' ); ?>"/>
																					</a>
																				</td>
																			<?php endif;?>
																			<?php if(isset($mc_options['linkedin']) && '' !== $mc_options['linkedin']):?>
																				<td>
																					<a target="_blank" rel="noopener" class="instagram" href="https://www.linkedin.com/in/<?php echo esc_attr($mc_options['linkedin']);?>" title="<?php esc_html_e( 'Linkedin', 'wc-wlfmc-wishlist' ); ?>">
																						<img src="<?php echo esc_url( MC_WLFMC_URL .'assets/images/linkedin.png');?>" alt="<?php esc_html_e( 'Linkedin', 'wc-wlfmc-wishlist' ); ?>"/>
																					</a>
																				</td>
																			<?php endif;?>
																		</tr>
																	</tbody>
																</table>
															</td>
														</tr>
														</tbody>
													</table>
												</td>
											</tr>
										</tbody>

									</table>
								</td>
							</tr>
							</tbody>
						</table>

					</td>
				</tr>
			</tbody>

		</table>
	</body>
</html>
